PDA

View Full Version : CI Builds and posted binaries will now be compiled with Java SE 6



dmoran
11-10-2009, 01:23 PM
Sun has announced that J2SE 5.0 reached its End of Service Life (EOSL) on November 3, 2009 - http://java.sun.com/javase/downloads/index_jdk5.jsp

In response, Pentaho will be using Java 6 to compile and build all binaries for the next version of each project. Currently this applies to the BI Platform and Server trunk (SUGAR release). The binaries include the libraries and applications built by the CI (Continuous Integration) server and released builds on SourceForge.

Backward Compatibility:
We will not be using any of the new Java 6 language features for the near future in order to maintain source compatibility with Java 5. This length of time will be determined based on impact to customers, partners and community. During this period, you will still be able to compile using Java 5. We will not be testing the Java 5 compatibility so please let us know if it stops working.

32 bit Mac Support
Apple is not providing a 32-bit version of Java 6 for the Mac. "Java SE 6 is available on 64-bit, Intel-based Macs only." according to http://support.apple.com/kb/HT3581

If you have a Mac with Intel Core 2 Duo or Xeon processor, you should already have Java SE 6 installed. Note: It must be "Core 2 Duo" and not "Core Duo"

Core Duo and PPC based Macs are unsupported by Apple for Java 6. There are a few open source projects working on a port. If you find a solution that works, please post to this thread.